{-----------------------------------------------------------------------------
The contents of this file are subject to the Mozilla Public License
Version 1.1 (the "License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/MPL-1.1.html

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either expressed or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is: JvAlignListbox.PAS, released on 2000-11-22.

The Initial Developer of the Original Code is Peter Below <100113.1101@compuserve.com>
Portions created by Peter Below are Copyright (C) 2000 Peter Below.
All Rights Reserved.

Contributor(s): ______________________________________.

Last Modified: 2000-mm-dd

You may retrieve the latest version of this file at the Project JEDI home page,
located at http://www.delphi-jedi.org

Known Issues:
-----------------------------------------------------------------------------}
{$A+,B-,C+,D+,E-,F-,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V+,W-,X+,Y+,Z1}
{$I JEDI.INC}


unit JvObserverLabel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, JvObserverMessages;

// *** Important to include this constant showing your version #
const
  TJvComponent_VERSION      = '5.01';


type
  TJvObserverLabel = class(TLabel)
  private
    { Private declarations }
    Procedure UMObservibleChanged( Var msg: TUMObservibleChanged );
      message UM_OBSERVIBLE_CHANGED;
    function GetAboutMe: string;
    procedure SetAboutMe(const Value: string);
  published
    { Published declarations }
    property AboutMe: string read GetAboutMe write SetAboutMe stored False;      
  end;

implementation


{ TJvObserverLabel }

function TJvObserverLabel.GetAboutMe: string;
begin
  Result := 'Version: '+TJvComponent_VERSION;
end;

procedure TJvObserverLabel.SetAboutMe(const Value: string);
begin

end;

procedure TJvObserverLabel.UMObservibleChanged(var msg: TUMObservibleChanged);
const
  checkstrings : Array [Boolean] of String = ('unchecked', 'checked' );  
begin
  If msg.sender Is TCheckbox Then
    With TCheckbox(msg.sender) Do
      Self.Caption := Format('Checkbox %s is %s',
                              [Name, Checkstrings[Checked]]);
end;

end.
